apiVersion: console.openshift.io/v1
kind: ConsoleQuickStart
metadata:
  name: explore-serverless
spec:
  version: 4.7
  displayName: Setting up Serverless
  durationMinutes: 10
  icon: data:image/svg+xml;base64,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
  description: Install the OpenShift Serverless Operator to deploy stateless, event-trigger-based
    applications.
  prerequisites:
    - ''
  introduction: |-
    Red Hat® OpenShift® Serverless lets you run stateless, serverless workloads on a single multi-cloud container platform.

    Serverless reduces the need to manage infrastructure or perform back-end development. Scaling is automated, and applications can run on any cloud, hybrid, or on-premises environment. Choosing Serverless means simplicity, portability, and efficiency.

    Adding OpenShift Serverless to your OpenShift Container Platform cluster is quick and easy. This quick start walks you through the process.
  tasks:
    - title: Install the OpenShift Serverless Operator
      description: |
        ### To install the Serverless Operator:
        1. From the **Administrator** perspective, go to the **OperatorHub** from the **Operators** section of the navigation.
        2. In the **Filter by keyword** field at the top of the page, type the keyword `Serverless`.
        3. If the tile has an **Installed** label on it, the Operator is already installed. Proceed to task two.
        4. Click the **OpenShift Serverless Operator** tile.
        5. At the top of the OpenShift Serverless Operator panel, click **Install**.
        6. Verify that the OpenShift Serverless Operator Update Channel is 4.5 and click **Install** again.
        7. Wait for the OpenShift Serverless Operator's status to change from **Installing operator** to **Operator installed - Ready for use**.
      review:
        instructions: |-
          #### To verify that the OpenShift Serverless Operator is installed:

          In the Status column of the **Installed Operators** page, is the OpenShift Serverless Operator’s status **Succeeded?**
        failedTaskHelp:
          This task is incomplete. Try the task again, or [read more](https://docs.openshift.com/container-platform/4.6/serverless/installing_serverless/installing-openshift-serverless.html)
          about this topic.
      summary:
        success: You just installed the OpenShift Serverless Operator! Next, we'll install
          the required Knative Eventing and Knative Serving Custom Resource components
          for this Operator to run.
        failed: This task is incomplete. Try the task again, or read more about this
          topic.
    - title: Create the Knative Serving and Knative Eventing APIs
      description: |
        Now let’s install the Knative application programming interfaces (APIs) needed to deploy applications and container workloads.

        **To create the Knative Serving and Knative Eventing APIs:**
        1. Go to the **Installed Operators** page.
        2. Click **OpenShift Serverless Operator**.
        3. If it does not already exist, create a project called “knative_serving” under the Project list at the top of the page. If it does exist, select the project from the list.
        4. Click on the Knative Serving link under Provided APIs or, from Knative Serving tile, click **Create Instance**.
        5. Click **Create** to create the custom resource.
        6. Now, if it does not already exist, create a project called “knative_eventing” under the Project list at the top of the page. If it does exist, select the project from the list.
        7. Click on the Knative Eventing link under Provided APIs or, from Knative Eventing tile, click **Create Instance**.
        8. Click **Create** to create the custom resource.
      review:
        instructions: |
          #### To verify that the Knative Serving and Knative Eventing APIs were installed successfully:
          Go to the **All Instances** tab of the OpenShift Serverless Operator.

          Are the Knative Serving and Knative Eventing resources in the list of instances?
        failedTaskHelp:
          This task isn’t verified yet. Try the task again, or [read more](https://docs.openshift.com/container-platform/4.6/serverless/installing_serverless/installing-knative-serving.html#serverless-create-serving-project-web-console_installing-knative-serving)
          about this topic.
      summary:
        success: You just created instances of the Knative Service and Knative Eventing
          resources.
        failed: Check your work to make sure that the Knative Service and Knative Eventing
          resources were created.
  conclusion: Your Serverless Operator is ready! If you want to learn how to deploy
    a serverless application, take the **Creating a Serverless application** quick
    start.
  nextQuickStart:
    - serverless-application
  accessReviewResources:
    - group: operators.coreos.com
      resource: operatorgroups
      verb: list
    - group: packages.operators.coreos.com
      resource: packagemanifests
      verb: list
